.. _str: https://docs.python.org/2/library/stdtypes.html

.. _string: ../../str

.. _VirtualMachine: ../../vim/VirtualMachine.rst

.. _vim.fault.ReplicationFault: ../../vim/fault/ReplicationFault.rst


vim.fault.ReplicationVmFault
============================
    :extends:

        `vim.fault.ReplicationFault`_

  A ReplicationVmFault is thrown when there is an issue with an operation performed on a replicated `VirtualMachine`_ 

Attributes:

    reason (`str`_)

    state (`str`_): is optional.

    instanceId (`str`_): is optional.

    vm (`str`_)




